Bug Hunting Session
Bug 91145 - UI: Set Cell Background Color in Table Broken in Writer 5.0
Summary: UI: Set Cell Background Color in Table Broken in Writer 5.0
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-07 20:24 UTC by Luke
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Results from steps in 4.4 vs 5.0 (282.77 KB, image/png)
2015-05-07 20:24 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-05-07 20:24:56 UTC
Created attachment 115435 [details]
Results from steps in 4.4 vs 5.0

Steps to reproduce:
1. In a recent build of Writer 5.0, create a new doc
2. Table -> Insert Table -> 3x3
3. Click in the middle cell
4. Select Table -> Table Properties -> Background -> "As Color", "For Cell"
5. Select Table -> Table Properties -> Background -> Any Color
6. OK
7. Repeat steps 1-6 for Writer <= 4.4

Tested on:
Version: 5.0.0.0.alpha1+
Build ID: bbdd739d6e2024f57e692e646295644faf44af22
Comment 1 Buovjaga 2015-05-15 09:23:03 UTC
Confirmed results of screenshot.
Adding bibisect request.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI

Version: 5.0.0.0.alpha1+
Build ID: 9de1d53a2ce3ee7036b4688b373db7b2235af4d9
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-14_00:07:12
Locale: fi-FI (fi_FI)
Comment 2 Michael 2015-05-18 19:40:06 UTC
Git bisect selects commit e3c0025461bdf55e62a308a76c3aa0a35109f076

$ git bisect log
# bad: [3f3573c28fd50d75a033eb166a21aad228b67289] 2015-05-17: source-hash-6aab2eceaa386c14c2283631d3107cab7484f0f8
# good: [e4b0a61cedc6ac0e65a4a110fd83edd8295f4856] 2014-11-20: source-hash-d273a60bfdbf9bb7623bed38667ec0647753157c
git bisect start '3f3573c28fd50d75a033eb166a21aad228b67289' 'oldest'
# bad: [0778fe3ec802853faf8ece6637eb3b1c8ec02545] 2015-02-17: source-hash-52b25c1adf3a70819aea2080b0ad50a14a3c104b
git bisect bad 0778fe3ec802853faf8ece6637eb3b1c8ec02545
# good: [b3b7d792fbe3a9bd253e572abd510eababe23d83] 2015-01-03: source-hash-a7052b906dfd1d749f7da9ea64a3479d7c1cc2c9
git bisect good b3b7d792fbe3a9bd253e572abd510eababe23d83
# bad: [210f278942985a91b44375e36c9ba5fc57fa2950] 2015-01-25: source-hash-c3f96f3b95b99051a1ffa8cfa55a5a39eb0fb3e5
git bisect bad 210f278942985a91b44375e36c9ba5fc57fa2950
# good: [e4365895727b3bee7db81df4b22463c03550d764] 2015-01-14: source-hash-066103b8a4e4930c72152f9af66022a25938dc1e
git bisect good e4365895727b3bee7db81df4b22463c03550d764
# good: [4d22346f21b8f6b6346180e1a3a06f706e0f33b2] 2015-01-19: source-hash-f9bea19eeab49cb9e6fcdd3ae5e777da9dc882ca
git bisect good 4d22346f21b8f6b6346180e1a3a06f706e0f33b2
# good: [92825ecb26eeb2deb34d0a13886459e138d2c54b] 2015-01-22: source-hash-9ea6793a5b765aefc1a8e82c06f225305dd9c14f
git bisect good 92825ecb26eeb2deb34d0a13886459e138d2c54b
# bad: [47af43b8e620c3d9a08721e9aa72d8e3ec407aec] 2015-01-24: source-hash-e3c0025461bdf55e62a308a76c3aa0a35109f076
git bisect bad 47af43b8e620c3d9a08721e9aa72d8e3ec407aec
# good: [2c90961ee3f99eff4168c9756bc2124239314022] 2015-01-23: source-hash-5d47b83cef0b2d0486162989722b23e53eb0cdb1
git bisect good 2c90961ee3f99eff4168c9756bc2124239314022
# first bad commit: [47af43b8e620c3d9a08721e9aa72d8e3ec407aec] 2015-01-24: source-hash-e3c0025461bdf55e62a308a76c3aa0a35109f076
Comment 4 Luke 2015-05-21 10:05:47 UTC
I manually bisected this down to http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ed7c8b55a026d7d98f9c994ad5e8626dd9504b2


http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e00df4f0b05b3d6c8f185e08499d40964e7182f
was the last good commit.

Bjoern,
Could you kindly take a look at this issue? Was it a copy/paste error or an error in the pattern? If it's a pattern issue, you may want to review all the similar commits: http://cgit.freedesktop.org/libreoffice/core/log/?id=0ed7c8b55a026d7d98f9c994ad5e8626dd9504b2&qt=range&q=0ed7c8b55a026d7d98f9c994ad5e8626dd9504b2..0a77c9f15bbb38d8c281daef4512d570683d2cb7
Comment 5 Commit Notification 2015-05-27 09:46:27 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adce9bf3ad0f12490fc3c8ae429045579642886c

tdf#91145: Set Cell Background Color in Table Broken in Writer 5.0

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Björn Michaelsen 2015-05-27 09:49:40 UTC
Thanks for the helpful (bi)bisect everyone!
Comment 7 Commit Notification 2015-05-27 09:49:59 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=813faac457bb9bd76d826cfc2ae4bf61f6e583b4&h=libreoffice-5-0

tdf#91145: Set Cell Background Color in Table Broken in Writer 5.0

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-06-10 14:58:26 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4deaf89bbeadf0395810ab5f1213aecf2b078c8b

Added Test for tdf#91145 Set Cell Background Color

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 09:04:09 UTC Comment hidden (obsolete)